class BertEncoder(Module):
  __parameters__ = []
  training : bool
  layer : __torch__.torch.nn.modules.container.ModuleList
  def forward(self: __torch__.transformers.modeling_bert.BertEncoder,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    _0 = getattr(self.layer, "1")
    _1 = (getattr(self.layer, "0")).forward(argument_1, attention_mask, )
    _2 = getattr(self.layer, "3")
    _3 = (getattr(self.layer, "2")).forward((_0).forward(_1, attention_mask, ), attention_mask, )
    _4 = getattr(self.layer, "5")
    _5 = (getattr(self.layer, "4")).forward((_2).forward(_3, attention_mask, ), attention_mask, )
    _6 = getattr(self.layer, "7")
    _7 = (getattr(self.layer, "6")).forward((_4).forward(_5, attention_mask, ), attention_mask, )
    _8 = getattr(self.layer, "9")
    _9 = (getattr(self.layer, "8")).forward((_6).forward(_7, attention_mask, ), attention_mask, )
    _10 = getattr(self.layer, "11")
    _11 = (getattr(self.layer, "10")).forward((_8).forward(_9, attention_mask, ), attention_mask, )
    _12 = (_10).forward(_11, attention_mask, )
    return _12
class BertLayer(Module):
  __parameters__ = []
  training : bool
  attention : __torch__.transformers.modeling_bert.BertAttention
  intermediate : __torch__.transformers.modeling_bert.BertIntermediate
  output : __torch__.transformers.modeling_bert.BertOutput
  def forward(self: __torch__.transformers.modeling_bert.BertLayer,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    _13 = self.output
    _14 = self.intermediate
    _15 = (self.attention).forward(argument_1, attention_mask, )
    _16 = (_13).forward((_14).forward(_15, ), _15, )
    return _16
class BertAttention(Module):
  __parameters__ = []
  training : bool
  self : __torch__.transformers.modeling_bert.BertSelfAttention
  output : __torch__.transformers.modeling_bert.BertSelfOutput
  def forward(self: __torch__.transformers.modeling_bert.BertAttention,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    _17 = self.output
    _18 = (self.self).forward(argument_1, attention_mask, )
    return (_17).forward(_18, argument_1, )
class BertSelfAttention(Module):
  __parameters__ = []
  training : bool
  query : __torch__.torch.nn.modules.linear.___torch_mangle_2.Linear
  key : __torch__.torch.nn.modules.linear.___torch_mangle_3.Linear
  value : __torch__.torch.nn.modules.linear.___torch_mangle_4.Linear
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_5.Dropout
  def forward(self: __torch__.transformers.modeling_bert.BertSelfAttention,
    argument_1: Tensor,
    attention_mask: Tensor) -> Tensor:
    _19 = self.dropout
    _20 = self.value
    _21 = self.key
    _22 = (self.query).forward(argument_1, )
    _23 = (_21).forward(argument_1, )
    _24 = (_20).forward(argument_1, )
    _25 = ops.prim.NumToTensor(torch.size(_22, 0))
    _26 = ops.prim.NumToTensor(torch.size(_22, 1))
    x = torch.view(_22, [int(_25), int(_26), 4, 64])
    query_layer = torch.permute(x, [0, 2, 1, 3])
    _27 = ops.prim.NumToTensor(torch.size(_23, 0))
    _28 = ops.prim.NumToTensor(torch.size(_23, 1))
    x0 = torch.view(_23, [int(_27), int(_28), 4, 64])
    key_layer = torch.permute(x0, [0, 2, 1, 3])
    _29 = ops.prim.NumToTensor(torch.size(_24, 0))
    _30 = ops.prim.NumToTensor(torch.size(_24, 1))
    x1 = torch.view(_24, [int(_29), int(_30), 4, 64])
    value_layer = torch.permute(x1, [0, 2, 1, 3])
    attention_scores = torch.matmul(query_layer, torch.transpose(key_layer, -1, -2))
    attention_scores0 = torch.div(attention_scores, CONSTANTS.c1)
    input = torch.add(attention_scores0, attention_mask, alpha=1)
    input0 = torch.softmax(input, -1, None)
    context_layer = torch.matmul((_19).forward(input0, ), value_layer)
    _31 = torch.permute(context_layer, [0, 2, 1, 3])
    context_layer0 = torch.contiguous(_31, memory_format=0)
    _32 = ops.prim.NumToTensor(torch.size(context_layer0, 0))
    _33 = ops.prim.NumToTensor(torch.size(context_layer0, 1))
    input1 = torch.view(context_layer0, [int(_32), int(_33), 256])
    return input1
class BertSelfOutput(Module):
  __parameters__ = []
  training : bool
  dense : __torch__.torch.nn.modules.linear.___torch_mangle_6.Linear
  LayerNorm : __torch__.torch.nn.modules.normalization.___torch_mangle_7.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_8.Dropout
  def forward(self: __torch__.transformers.modeling_bert.BertSelfOutput,
    argument_1: Tensor,
    argument_2: Tensor) -> Tensor:
    _34 = self.LayerNorm
    _35 = (self.dropout).forward((self.dense).forward(argument_1, ), )
    input = torch.add(_35, argument_2, alpha=1)
    return (_34).forward(input, )
class BertIntermediate(Module):
  __parameters__ = []
  training : bool
  dense : __torch__.torch.nn.modules.linear.___torch_mangle_9.Linear
  def forward(self: __torch__.transformers.modeling_bert.BertIntermediate,
    argument_1: Tensor) -> Tensor:
    input = torch.gelu((self.dense).forward(argument_1, ))
    return input
class BertOutput(Module):
  __parameters__ = []
  training : bool
  dense : __torch__.torch.nn.modules.linear.___torch_mangle_10.Linear
  LayerNorm : __torch__.torch.nn.modules.normalization.___torch_mangle_11.LayerNorm
  dropout : __torch__.torch.nn.modules.dropout.___torch_mangle_12.Dropout
  def forward(self: __torch__.transformers.modeling_bert.BertOutput,
    argument_1: Tensor,
    argument_2: Tensor) -> Tensor:
    _36 = self.LayerNorm
    _37 = (self.dropout).forward((self.dense).forward(argument_1, ), )
    input = torch.add(_37, argument_2, alpha=1)
    return (_36).forward(input, )
